## pgbouncer 1.5.4

=== Makefile ===

include config.mak

bin_PROGRAMS = pgbouncer

pgbouncer_SOURCES = \
	src/admin.c \
	src/client.c \
	src/dnslookup.c \
	src/janitor.c \
	src/loader.c \
	src/main.c \
	src/objects.c \
	src/pktbuf.c \
	src/pooler.c \
	src/proto.c \
	src/sbuf.c \
	src/server.c \
	src/stats.c \
	src/system.c \
	src/takeover.c \
	src/util.c \
	src/varcache.c \
	include/admin.h \
	include/bouncer.h \
	include/client.h \
	include/dnslookup.h \
	include/iobuf.h \
	include/janitor.h \
	include/loader.h \
	include/objects.h \
	include/pktbuf.h \
	include/pooler.h \
	include/proto.h \
	include/sbuf.h \
	include/server.h \
	include/stats.h \
	include/system.h \
	include/takeover.h \
	include/util.h \
	include/varcache.h

pgbouncer_CPPFLAGS = -Iinclude

# include libusual sources directly
AM_FEATURES = libusual
pgbouncer_EMBED_LIBUSUAL = 1

# docs to install as-is
dist_doc_DATA = README NEWS etc/pgbouncer.ini etc/userlist.txt

DISTCLEANFILES = config.mak config.status lib/usual/config.h config.log

SUBDIRS = doc

# files in tgz
EXTRA_DIST = AUTHORS COPYRIGHT Makefile \
	     config.mak.in etc/mkauth.py \
	     config.sub config.guess install-sh autogen.sh \
	     configure configure.ac \
	     debian/compat debian/changelog debian/control debian/rules debian/copyright \
	     test/Makefile test/asynctest.c test/conntest.sh test/ctest6000.ini \
	     test/ctest7000.ini test/run-conntest.sh test/stress.py test/test.ini \
	     test/test.sh test/userlist.txt etc/example.debian.init.sh \
	     win32/Makefile \
	     $(LIBUSUAL_DIST)

# libusual files (fixme: list should be provided by libusual...)
LIBUSUAL_DIST = $(filter-out %/config.h, $(wildcard \
		lib/usual/*.[chg] lib/m4/*.m4 \
		lib/usual/config.h.in \
		lib/mk/*.mk \
		lib/mk/antimake.mk lib/mk/antimake.txt \
		lib/mk/install-sh lib/mk/std-autogen.sh \
		lib/README lib/COPYRIGHT \
		lib/find_modules.sh ))

ifeq ($(enable_debug),yes)
CPPFLAGS += -DDBGVER="\"compiled by <$${USER}@`hostname`> at `date '+%Y-%m-%d %H:%M:%S'`\""
endif

#
# win32
#

pgbouncer_LDADD := $(LIBS)
LIBS :=

EXTRA_pgbouncer_SOURCES = win32/win32support.c win32/win32support.h
EXTRA_PROGRAMS = pgbevent
ifeq ($(PORTNAME),win32)
pgbouncer_CPPFLAGS += -Iwin32
pgbouncer_SOURCES += $(EXTRA_pgbouncer_SOURCES)
bin_PROGRAMS += pgbevent
endif

pgbevent_SOURCES = win32/pgbevent.c win32/eventmsg.rc \
		   win32/eventmsg.mc win32/MSG00001.bin
pgbevent_EXT = .dll
pgbevent_LINK = $(CC) -shared -Wl,--export-all-symbols -Wl,--add-stdcall-alias -o $@ $^

# .rc->.o
AM_LANGUAGES = RC
AM_LANG_RC_SRCEXTS = .rc
AM_LANG_RC_COMPILE = $(WINDRES) $< -o $@ --include-dir=$(srcdir)/win32
AM_LANG_RC_LINK = false

#
# now load antimake
#

USUAL_DIR = lib

abs_top_srcdir ?= $(CURDIR)
include $(abs_top_srcdir)/lib/mk/antimake.mk

config.mak:
	@echo "Please run ./configure"
	@exit 1

deb:
	debuild -b -us -uc

w32zip = pgbouncer-$(PACKAGE_VERSION)-win32.zip
zip: configure clean
	rm -rf buildexe
	mkdir buildexe
	cd buildexe \
		&& ../configure --host=i586-mingw32msvc --disable-debug \
			--with-libevent=/opt/apps/win32 --enable-evdns \
		&& make \
		&& i586-mingw32msvc-strip pgbouncer.exe pgbevent.dll \
		&& zip pgbouncer.zip pgbouncer.exe pgbevent.dll doc/*.html
	zip -l buildexe/pgbouncer.zip etc/pgbouncer.ini etc/userlist.txt
	mv buildexe/pgbouncer.zip $(w32zip)

zip-up: $(w32zip)
	rsync $(w32zip) pgf:web/pgbouncer/htdocs/win32/

tgz = pgbouncer-$(PACKAGE_VERSION).tar.gz
tgz-up: $(tgz)
	rsync $(tgz) pgf:web/pgbouncer/htdocs/testing/

.PHONY: tags
tags:
	ctags src/*.c include/*.h lib/usual/*.[ch]

=== doc/Makefile ===
-include ../config.mak

web = pgf:/home/pgfoundry.org/groups/pgbouncer/htdocs/

manpages = pgbouncer.1 pgbouncer.5

EXTRA_DIST = config.txt usage.txt todo.txt faq.txt Makefile $(manpages)

htmls = config.html usage.html todo.html faq.html README.html

ifeq ($(ASCIIDOC),)
ifneq ($(wildcard pgbouncer.[15]),)
# no asciidoc, but we have manpages
dist_man_MANS = $(manpages)
endif
else
# we have asciidoc, build everything
dist_man_MANS = $(manpages)
doc_DATA = $(htmls)
endif

SUBLOC = doc
abs_top_srcdir ?= $(CURDIR)/..
include $(abs_top_srcdir)/lib/mk/antimake.mk

# add rules only if asciidoc is defined
ifneq ($(ASCIIDOC),)

pgbouncer.1: usage.xml
	$(XMLTO) man $<

pgbouncer.5: config.xml
	$(XMLTO) man $<

%.xml: %.txt
	$(ASCIIDOC) -b docbook -d manpage -o $@ $<

%.html: %.txt
	$(ASCIIDOC) -a toc -o $@ $<

README.html: ../README
	$(ASCIIDOC) -a toc -o $@ $<

web: $(doc_DATA)
	rsync -av $(htmls) $(web)/doc/

endif # ASCIIDOC

=== test/Makefile ===

PGINC = -I$(shell pg_config --includedir)
PGLIB = -L$(shell pg_config --libdir)

include ../config.mak

CPPFLAGS += -I../include $(PGINC)
LDFLAGS += $(PGLIB)
LIBS := -lpq $(LIBS)

ifeq ($(PORTNAME),win32)
CPPFLAGS += -I../win32
endif

all: asynctest

asynctest: asynctest.c
	$(CC) -o $@ $< $(DEFS) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) $(LIBS)

clean:
	rm -f asynctest

=== debian/changelog ===
pgbouncer (1.5.4-6) unstable; urgency=low

  * Fix duplicate install file which caused pgbouncer.ini to get lost.
  * Fix connect test not to rely on userlist.txt to exist.
  * Bump to compat 9.
  * Set team as Maintainer.

 -- Christoph Berg <myon@debian.org>  Wed, 16 Jul 2014 17:48:55 +0300

pgbouncer (1.5.4-5) unstable; urgency=low

  * Add autotools-dev to build dependencies, per Lintian
  * Update standards version
  * Install mkauth.py script (closes: #748108)
  * Remove stray debugging command left in init script
  * Handle situation where running server cannot be contacted during
    restart, for example because port number was changed (closes: #729465)

 -- Peter Eisentraut <petere@debian.org>  Mon, 07 Jul 2014 21:08:07 -0400

pgbouncer (1.5.4-4) unstable; urgency=low

  * Use PGUSER/PGPASSWORD in debian/tests/connect; unset TMPDIR.

 -- Christoph Berg <myon@debian.org>  Tue, 18 Jun 2013 13:11:40 +0200

pgbouncer (1.5.4-3) experimental; urgency=low

  [ Peter Eisentraut ]
  * Use log_daemon_msg and log_end_msg to print output from init script.
  * Fix watch file (from Bart Martens <bartm@debian.org> via
    qa.debian.org)
  * Disable silent make rules, per buildd log scanner

  [ Christoph Berg ]
  * On restart, loop until the PID of the process changed instead of sleeping
    a fixed time.  Closes: #698942.
  * Do not use start-stop-daemon --status yet as it is not available in
    squeeze.  Use ssd --stop --signal 0 instead.
  * debian/tests/connect: Test online restart.

 -- Christoph Berg <myon@debian.org>  Fri, 22 Mar 2013 15:27:42 +0100

pgbouncer (1.5.4-2) experimental; urgency=low

  * Add autopkgtest support.

 -- Christoph Berg <myon@debian.org>  Mon, 07 Jan 2013 16:32:47 +0100

pgbouncer (1.5.4-1) experimental; urgency=low

  * New upstream release.
  * Add .gitignore file.

 -- Christoph Berg <myon@debian.org>  Tue, 11 Dec 2012 10:10:16 +0100

pgbouncer (1.5.3-1) experimental; urgency=low

  * New upstream release.

 -- Christoph Berg <myon@debian.org>  Sun, 07 Oct 2012 19:24:30 +0200

=== debian/control ===
Source: pgbouncer
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Bernd Zeimetz <bzed@debian.org>, Christoph Berg <myon@debian.org>, Peter Eisentraut <petere@debian.org>
Section: database
Priority: optional
Standards-Version: 3.9.5
Build-Depends: cdbs, debhelper (>= 9), libevent-dev (>= 1.3b), asciidoc, autotools-dev, xmlto, python
Homepage: http://pgfoundry.org/projects/pgbouncer/
Vcs-Git: git://anonscm.debian.org/pkg-postgresql/pgbouncer.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/pgbouncer.git
XS-Testsuite: autopkgtest

Package: pgbouncer
Architecture: any
Depends: lsb-base (>= 3.1), postgresql-common (>= 26), ${misc:Depends}, ${shlibs:Depends}
Suggests: python, python-psycopg2
Enhances: postgresql (>= 7.4)
Description: lightweight connection pooler for PostgreSQL
 PgBouncer is a lightweight connection pooler for PostgreSQL providing the
 following features:
 .
  * Several levels of brutality when rotating connections: session pooling,
    transaction pooling, statement pooling.
  * Low memory requirements.
  * It is not tied to one backend server, the destination databases
    can reside on different hosts.
  * Supports online reconfiguration for most of the settings.
  * Supports online restart/upgrade.

=== debian/tests/control ===
Tests: connect
Depends: @, postgresql
Restrictions: needs-root

=== debian/watch ===
version=3
http://pgfoundry.org/frs/?group_id=1000258 .*/[0-9]+/pgbouncer-([0-9.]+).(?:tgz|tar.gz)

## pgbouncer 1.5.5

=== debian/changelog ===
pgbouncer (1.5.5-1) unstable; urgency=medium

  * New upstream bugfix release.
    + Fix remote crash - invalid packet order causes lookup of NULL pointer.
      Not exploitable, just DoS.
  * Update watch file to point at http://pgbouncer.github.io/downloads/.

 -- Christoph Berg <myon@debian.org>  Wed, 20 May 2015 22:29:10 +0200

pgbouncer (1.5.4-8) unstable; urgency=medium

  * debian/tests/connect: Avoid systemctl redirection of our init script, so
    that pgbouncer and its socket stay within the pg_virtualenv mounts.

 -- Martin Pitt <mpitt@debian.org>  Thu, 12 Mar 2015 13:18:54 +0100

pgbouncer (1.5.4-7) unstable; urgency=medium

  * Remove build timestamp from DBGVER to make binary builds reproducible.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 03 Feb 2015 10:23:13 +0100

=== debian/watch ===
version=3
#http://pgfoundry.org/frs/?group_id=1000258 .*/[0-9]+/pgbouncer-([0-9.]+).(?:tgz|tar.gz)
https://pgbouncer.github.io/downloads/pgbouncer-(.*).tar.gz

## pgbouncer 1.7

=== Makefile ===
--- 
+++ 
@@ -7,6 +7,7 @@
 	src/admin.c \
 	src/client.c \
 	src/dnslookup.c \
+	src/hba.c \
 	src/janitor.c \
 	src/loader.c \
 	src/main.c \
@@ -25,6 +26,7 @@
 	include/bouncer.h \
 	include/client.h \
 	include/dnslookup.h \
+	include/hba.h \
 	include/iobuf.h \
 	include/janitor.h \
 	include/loader.h \
@@ -40,34 +42,33 @@
 	include/util.h \
 	include/varcache.h
 
-pgbouncer_CPPFLAGS = -Iinclude
+pgbouncer_CPPFLAGS = -Iinclude $(CARES_CFLAGS) $(TLS_CPPFLAGS)
 
 # include libusual sources directly
 AM_FEATURES = libusual
 pgbouncer_EMBED_LIBUSUAL = 1
 
 # docs to install as-is
-dist_doc_DATA = README NEWS etc/pgbouncer.ini etc/userlist.txt
+dist_doc_DATA = README.rst NEWS.rst etc/pgbouncer.ini etc/userlist.txt
 
 DISTCLEANFILES = config.mak config.status lib/usual/config.h config.log
 
-SUBDIRS = doc
+DIST_SUBDIRS = doc test
+dist_man_MANS = doc/pgbouncer.1 doc/pgbouncer.5
 
 # files in tgz
-EXTRA_DIST = AUTHORS COPYRIGHT Makefile \
-	     config.mak.in etc/mkauth.py \
-	     config.sub config.guess install-sh autogen.sh \
-	     configure configure.ac \
+EXTRA_DIST = AUTHORS COPYRIGHT Makefile config.mak.in config.sub config.guess \
+	     install-sh autogen.sh configure configure.ac \
 	     debian/compat debian/changelog debian/control debian/rules debian/copyright \
-	     test/Makefile test/asynctest.c test/conntest.sh test/ctest6000.ini \
-	     test/ctest7000.ini test/run-conntest.sh test/stress.py test/test.ini \
-	     test/test.sh test/userlist.txt etc/example.debian.init.sh \
+	     etc/mkauth.py etc/example.debian.init.sh \
 	     win32/Makefile \
 	     $(LIBUSUAL_DIST)
 
-# libusual files (fixme: list should be provided by libusual...)
+# libusual files (FIXME: list should be provided by libusual...)
 LIBUSUAL_DIST = $(filter-out %/config.h, $(wildcard \
-		lib/usual/*.[chg] lib/m4/*.m4 \
+		lib/usual/*.[chg] \
+		lib/usual/*/*.[ch] \
+		lib/m4/*.m4 \
 		lib/usual/config.h.in \
 		lib/mk/*.mk \
 		lib/mk/antimake.mk lib/mk/antimake.txt \
@@ -83,7 +84,8 @@
 # win32
 #
 
-pgbouncer_LDADD := $(LIBS)
+pgbouncer_LDFLAGS := $(TLS_LDFLAGS)
+pgbouncer_LDADD := $(CARES_LIBS) $(TLS_LIBS) $(LIBS)
 LIBS :=
 
 EXTRA_pgbouncer_SOURCES = win32/win32support.c win32/win32support.h
@@ -121,15 +123,18 @@
 deb:
 	debuild -b -us -uc
 
+w32arch = i686-w64-mingw32
 w32zip = pgbouncer-$(PACKAGE_VERSION)-win32.zip
 zip: configure clean
 	rm -rf buildexe
 	mkdir buildexe
 	cd buildexe \
-		&& ../configure --host=i586-mingw32msvc --disable-debug \
+		&& ../configure --host=$(w32arch) --disable-debug \
+			--without-openssl \
+			--without-cares \
 			--with-libevent=/opt/apps/win32 --enable-evdns \
 		&& make \
-		&& i586-mingw32msvc-strip pgbouncer.exe pgbevent.dll \
+		&& $(w32arch)-strip pgbouncer.exe pgbevent.dll \
 		&& zip pgbouncer.zip pgbouncer.exe pgbevent.dll doc/*.html
 	zip -l buildexe/pgbouncer.zip etc/pgbouncer.ini etc/userlist.txt
 	mv buildexe/pgbouncer.zip $(w32zip)
@@ -145,3 +150,11 @@
 tags:
 	ctags src/*.c include/*.h lib/usual/*.[ch]
 
+htmls:
+	for f in *.rst doc/*.rst; do \
+		mkdir -p html && rst2html $$f > html/`basename $$f`.html; \
+	done
+
+doc/pgbouncer.1 doc/pgbouncer.5:
+	$(MAKE) -C doc
+

=== test/Makefile ===

#PGINC = -I$(shell pg_config --includedir)
#PGLIB = -L$(shell pg_config --libdir)
#CPPFLAGS += -I../include -I../lib $(PGINC)
#LDFLAGS += $(PGLIB)
#LIBS := -lpq $(LIBS)
#ifeq ($(PORTNAME),win32)
#CPPFLAGS += -I../win32
#endif

USUAL_DIR = ../lib

SUBLOC = test
DIST_SUBDIRS = ssl

EXTRA_DIST = conntest.sh ctest6000.ini ctest7000.ini run-conntest.sh \
	     hba_test.eval hba_test.rules Makefile \
	     test.ini test.sh stress.py userlist.txt

noinst_PROGRAMS = hba_test
hba_test_CPPFLAGS = -I../include
hba_test_CFLAGS = -O0
hba_test_SOURCES = hba_test.c ../src/hba.c ../src/util.c
hba_test_EMBED_LIBUSUAL = 1

EXTRA_PROGRAMS = asynctest
asynctest_SOURCES = asynctest.c

AM_FEATURES = libusual


include ../config.mak
include ../lib/mk/antimake.mk

all: run_test

run_test: hba_test
	./hba_test

=== test/ssl/Makefile ===

EXTRA_DIST = lib.sh newca.sh newsite.sh test.ini test.sh Makefile \
	     TestCA1/ca.crt TestCA1/ca.key TestCA1/config.ini \
	     TestCA1/index.txt TestCA1/serial \
	     TestCA1/certs/01.pem TestCA1/certs/02.pem TestCA1/certs/03.pem \
	     TestCA1/sites/01-localhost.crt TestCA1/sites/01-localhost.key TestCA1/sites/01-localhost.csr \
	     TestCA1/sites/02-bouncer.crt TestCA1/sites/02-bouncer.key TestCA1/sites/02-bouncer.csr \
	     TestCA1/sites/03-random.crt TestCA1/sites/03-random.key TestCA1/sites/03-random.csr

SUBLOC = test/ssl

include ../../config.mak
include ../../lib/mk/antimake.mk

=== debian/changelog ===
pgbouncer (1.7-1) unstable; urgency=medium

  * New upstream version with SSL support.  Closes: #810816.
  * Start on installation, remove START=0 from /etc/default/pgbouncer.
    Closes: #804158.
  * Convert d/rules to dh.

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 15 Jan 2016 15:40:07 +0100

pgbouncer (1.6.1-1) unstable; urgency=medium

  * Security fix release:
    New auth_user functionality introduced in 1.6 allows login as auth_user
    when client presents unknown username. It's quite likely auth_user is
    superuser. Affects only setups that have enabled auth_user in their
    config.

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 04 Sep 2015 16:48:18 +0200

pgbouncer (1.6-1) unstable; urgency=medium

  * New upstream version.
  * Support running under different group via RUNASUSER in the init script.
    Closes: #768261, thanks to Antti Salmela for the patch.
  * Update watch file.
  * Note CVE number in last changelog entry.

 -- Christoph Berg <myon@debian.org>  Wed, 26 Aug 2015 22:20:45 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Uploaders: Bernd Zeimetz <bzed@debian.org>, Christoph Berg <myon@debian.org>, Peter Eisentraut <petere@debian.org>
 Section: database
 Priority: optional
-Standards-Version: 3.9.5
-Build-Depends: cdbs, debhelper (>= 9), libevent-dev (>= 1.3b), asciidoc, autotools-dev, xmlto, python
+Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9), libevent-dev (>= 1.3b), libssl-dev, autotools-dev
 Homepage: http://pgfoundry.org/projects/pgbouncer/
 Vcs-Git: git://anonscm.debian.org/pkg-postgresql/pgbouncer.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/pgbouncer.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autotools_dev

override_dh_auto_clean:
	[ ! -f config.mak ] || $(MAKE) distclean

override_dh_auto_configure:
	dh_auto_configure -- --bindir=/usr/sbin

override_dh_auto_install:
	dh_auto_install
	rm -f $(addprefix $(CURDIR)/debian/pgbouncer/usr/share/doc/pgbouncer/,pgbouncer.ini userlist.txt)
	mkdir -p $(CURDIR)/debian/pgbouncer/etc/pgbouncer
	touch $(CURDIR)/debian/pgbouncer/etc/pgbouncer/userlist.txt

override_dh_installinit:
	dh_installinit -R

=== debian/tests/control ===
Tests: connect
Depends: @, postgresql, postgresql-server-dev-all
Restrictions: needs-root

## pgbouncer 1.7.2

=== Makefile ===
--- 
+++ 
@@ -65,7 +65,7 @@
 	     $(LIBUSUAL_DIST)
 
 # libusual files (FIXME: list should be provided by libusual...)
-LIBUSUAL_DIST = $(filter-out %/config.h, $(wildcard \
+LIBUSUAL_DIST = $(filter-out %/config.h, $(sort $(wildcard \
 		lib/usual/*.[chg] \
 		lib/usual/*/*.[ch] \
 		lib/m4/*.m4 \
@@ -74,11 +74,7 @@
 		lib/mk/antimake.mk lib/mk/antimake.txt \
 		lib/mk/install-sh lib/mk/std-autogen.sh \
 		lib/README lib/COPYRIGHT \
-		lib/find_modules.sh ))
-
-ifeq ($(enable_debug),yes)
-CPPFLAGS += -DDBGVER="\"compiled by <$${USER}@`hostname`> at `date '+%Y-%m-%d %H:%M:%S'`\""
-endif
+		lib/find_modules.sh )))
 
 #
 # win32
@@ -148,7 +144,7 @@
 
 .PHONY: tags
 tags:
-	ctags src/*.c include/*.h lib/usual/*.[ch]
+	ctags src/*.c include/*.h lib/usual/*.[ch] lib/usual/*/*.[ch]
 
 htmls:
 	for f in *.rst doc/*.rst; do \

=== doc/Makefile ===
-include ../config.mak

RST2MAN ?= rst2man

manpages = pgbouncer.1 pgbouncer.5

dist_man_MANS = $(manpages)

EXTRA_DIST = config.rst usage.rst Makefile $(manpages) \
	     frag-config-man frag-usage-man

# make maintainer-clean removes those
MAINTAINERCLEANFILES = $(manpages)

SUBLOC = doc
abs_top_srcdir ?= $(CURDIR)/..
include $(abs_top_srcdir)/lib/mk/antimake.mk


pgbouncer.1: usage.rst frag-usage-man
	$(SED) -e '4r frag-usage-man' usage.rst | $(RST2MAN) > $@

pgbouncer.5: config.rst frag-config-man
	$(SED) -e '4r frag-config-man' config.rst | $(RST2MAN) > $@

web:
	make -C ../../pgbouncer.github.io

=== debian/changelog ===
pgbouncer (1.7.2-3build1) artful; urgency=medium

  * No-change rebuild against libevent-2.1-6

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 31 Jul 2017 02:51:48 +0000

pgbouncer (1.7.2-3) unstable; urgency=medium

  [ Christoph Berg ]
  * Retire Bernd from Uploaders on his request. Thanks!

  [ Marco Nenciarini ]
  * Switch DNS backend from evdns2 to c-ares

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 29 Jun 2017 12:11:10 +0200

pgbouncer (1.7.2-2) unstable; urgency=medium

  * Build-Depend on libssl1.0-dev. Closes: #828496.
  * Build-Depend on ca-certificates to correctly pick up
    /etc/ssl/certs/ca-certificates.crt. Closes: #819178.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 14 Nov 2016 10:17:30 +0100

pgbouncer (1.7.2-1) unstable; urgency=medium

  * New upstream version.
    + Fixes online restart. (Though we still don't support it with systemd.)

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 26 Feb 2016 16:54:36 +0100

pgbouncer (1.7.1-2) unstable; urgency=medium

  * Set V=1 to get verbose build output.
  * Grab patch from libusual upstream to make linking order reproducible.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 24 Feb 2016 15:29:38 +0100

pgbouncer (1.7.1-1) unstable; urgency=medium

  * New upstream version.
  * Disable online restart test, it's broken with systemd (#813487), and
    racy otherwise.

 -- Christoph Berg <myon@debian.org>  Thu, 18 Feb 2016 19:14:37 +0100

=== debian/control ===
Source: pgbouncer
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
 Peter Eisentraut <petere@debian.org>,
 Marco Nenciarini <mnencia@debian.org>,
Section: database
Priority: optional
Standards-Version: 3.9.8
Build-Depends:
 autotools-dev,
 ca-certificates,
 debhelper (>= 9),
 libevent-dev (>= 1.3b),
 libssl1.0-dev | libssl-dev,
 libc-ares-dev (>> 1.12),
Homepage: http://pgfoundry.org/projects/pgbouncer/
Vcs-Git: git://anonscm.debian.org/pkg-postgresql/pgbouncer.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/pgbouncer.git
XS-Testsuite: autopkgtest

Package: pgbouncer
Architecture: any
Depends:
 lsb-base (>= 3.1),
 postgresql-common (>= 26),
 ${misc:Depends},
 ${shlibs:Depends},
Suggests: python, python-psycopg2
Enhances: postgresql (>= 7.4)
Description: lightweight connection pooler for PostgreSQL
 PgBouncer is a lightweight connection pooler for PostgreSQL providing the
 following features:
 .
  * Several levels of brutality when rotating connections: session pooling,
    transaction pooling, statement pooling.
  * Low memory requirements.
  * It is not tied to one backend server, the destination databases
    can reside on different hosts.
  * Supports online reconfiguration for most of the settings.
  * Supports online restart/upgrade.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+# verbose build output (antimake.mk)
+export V=1
 
 %:
 	dh $@ --with autotools_dev
@@ -7,7 +10,7 @@
 	[ ! -f config.mak ] || $(MAKE) distclean
 
 override_dh_auto_configure:
-	dh_auto_configure -- --bindir=/usr/sbin
+	dh_auto_configure -- --bindir=/usr/sbin --with-cares=yes
 
 override_dh_auto_install:
 	dh_auto_install

## pgbouncer 1.7.2-65-g2b8e6cf

=== debian/changelog ===
pgbouncer (1.7.2-65-g2b8e6cf-1) unstable; urgency=medium

  * New upstream snapshot, supports openssl 1.1. Closes: #859551.

 -- Christoph Berg <myon@debian.org>  Fri, 17 Nov 2017 18:38:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: pgbouncer
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
+Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
 Uploaders:
  Christoph Berg <myon@debian.org>,
  Peter Eisentraut <petere@debian.org>,
  Marco Nenciarini <mnencia@debian.org>,
 Section: database
 Priority: optional
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Build-Depends:
- autotools-dev,
  ca-certificates,
  debhelper (>= 9),
+ dh-autoreconf,
  libevent-dev (>= 1.3b),
- libssl1.0-dev | libssl-dev,
+ libssl-dev,
  libc-ares-dev (>> 1.12),
+ pkg-config,
+ python-docutils | python3-docutils,
 Homepage: http://pgfoundry.org/projects/pgbouncer/
 Vcs-Git: git://anonscm.debian.org/pkg-postgresql/pgbouncer.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/pgbouncer.git

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,14 @@
 export V=1
 
 %:
-	dh $@ --with autotools_dev
+	dh $@ --with autoreconf
 
 override_dh_auto_clean:
 	[ ! -f config.mak ] || $(MAKE) distclean
+	rm -f doc/pgbouncer.?
+
+override_dh_autoreconf:
+	dh_autoreconf ./autogen.sh
 
 override_dh_auto_configure:
 	dh_auto_configure -- --bindir=/usr/sbin --with-cares=yes

## pgbouncer 1.8.1

=== Makefile ===
--- 
+++ 
@@ -12,6 +12,7 @@
 	src/loader.c \
 	src/main.c \
 	src/objects.c \
+	src/pam.c \
 	src/pktbuf.c \
 	src/pooler.c \
 	src/proto.c \
@@ -31,6 +32,7 @@
 	include/janitor.h \
 	include/loader.h \
 	include/objects.h \
+	include/pam.h \
 	include/pktbuf.h \
 	include/pooler.h \
 	include/proto.h \

=== doc/Makefile ===
--- 
+++ 
@@ -1,6 +1,4 @@
 -include ../config.mak
-
-RST2MAN ?= rst2man
 
 manpages = pgbouncer.1 pgbouncer.5
 
@@ -18,10 +16,10 @@
 
 
 pgbouncer.1: usage.rst frag-usage-man
-	$(SED) -e '4r frag-usage-man' usage.rst | $(RST2MAN) > $@
+	$(SED) -e '4r frag-usage-man' usage.rst | $(RST2MAN) --exit-status=2 > $@
 
 pgbouncer.5: config.rst frag-config-man
-	$(SED) -e '4r frag-config-man' config.rst | $(RST2MAN) > $@
+	$(SED) -e '4r frag-config-man' config.rst | $(RST2MAN) --exit-status=2 > $@
 
 web:
 	make -C ../../pgbouncer.github.io

=== test/Makefile ===
--- 
+++ 
@@ -1,12 +1,7 @@
 
-#PGINC = -I$(shell pg_config --includedir)
-#PGLIB = -L$(shell pg_config --libdir)
-#CPPFLAGS += -I../include -I../lib $(PGINC)
-#LDFLAGS += $(PGLIB)
-#LIBS := -lpq $(LIBS)
-#ifeq ($(PORTNAME),win32)
-#CPPFLAGS += -I../win32
-#endif
+PG_CPPFLAGS = -I$(shell pg_config --includedir)
+PG_LIBS = -lpq
+PG_LDFLAGS = -L$(shell pg_config --libdir)
 
 USUAL_DIR = ../lib
 
@@ -24,7 +19,11 @@
 hba_test_EMBED_LIBUSUAL = 1
 
 EXTRA_PROGRAMS = asynctest
+asynctest_CPPFLAGS = -I../include $(PG_CPPFLAGS)
+asynctest_LDFLAGS = $(PG_LDFLAGS)
+asynctest_LDADD = $(PG_LIBS)
 asynctest_SOURCES = asynctest.c
+asynctest_EMBED_LIBUSUAL = 1
 
 AM_FEATURES = libusual

=== debian/changelog ===
pgbouncer (1.8.1-1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 23:25:24 +0000

pgbouncer (1.8.1-1) unstable; urgency=medium

  * New upstream version.
  * Enable PAM support.

 -- Christoph Berg <myon@debian.org>  Wed, 20 Dec 2017 20:53:27 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: pgbouncer
-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
 Uploaders:
  Christoph Berg <myon@debian.org>,
  Peter Eisentraut <petere@debian.org>,
  Marco Nenciarini <mnencia@debian.org>,
 Section: database
 Priority: optional
-Standards-Version: 4.1.1
+Standards-Version: 4.1.2
 Build-Depends:
  ca-certificates,
  debhelper (>= 9),
  dh-autoreconf,
  libevent-dev (>= 1.3b),
+ libpam0g-dev | libpam-dev,
  libssl-dev,
  libc-ares-dev (>> 1.12),
  pkg-config,

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,10 @@
 	dh_autoreconf ./autogen.sh
 
 override_dh_auto_configure:
-	dh_auto_configure -- --bindir=/usr/sbin --with-cares=yes
+	dh_auto_configure -- \
+		--bindir=/usr/sbin \
+		--with-cares=yes \
+		--with-pam
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/tests/control ===
Tests: connect
Depends: @, postgresql, postgresql-server-dev-all
Restrictions: needs-root allow-stderr

## pgbouncer 1.9.0

=== Makefile ===
--- 
+++ 
@@ -155,4 +155,3 @@
 
 doc/pgbouncer.1 doc/pgbouncer.5:
 	$(MAKE) -C doc
-

=== doc/Makefile ===
--- 
+++ 
@@ -23,4 +23,3 @@
 
 web:
 	make -C ../../pgbouncer.github.io
-

=== test/Makefile ===
--- 
+++ 
@@ -35,4 +35,3 @@
 
 run_test: hba_test
 	./hba_test
-

=== test/ssl/Makefile ===
--- 
+++ 
@@ -1,4 +1,3 @@
-
 EXTRA_DIST = lib.sh newca.sh newsite.sh test.ini test.sh Makefile \
 	     TestCA1/ca.crt TestCA1/ca.key TestCA1/config.ini \
 	     TestCA1/index.txt TestCA1/serial \
@@ -11,4 +10,3 @@
 
 include ../../config.mak
 include ../../lib/mk/antimake.mk
-

=== debian/changelog ===
pgbouncer (1.9.0-2) unstable; urgency=medium

  * Generate -dbg packages on older distibutions

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 25 Oct 2018 00:51:08 +0200

pgbouncer (1.9.0-1) unstable; urgency=medium

  * New upstream version.
  * Use python3 for docutils and etc/mkauth.py.
  * Drop postgresql-server-dev-all test dependency.
  * Move packaging repository to salsa.debian.org
  * Move maintainer address to team+postgresql@tracker.debian.org.

 -- Christoph Berg <myon@debian.org>  Wed, 22 Aug 2018 19:48:24 +0200

=== debian/control ===
Source: pgbouncer
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
 Peter Eisentraut <petere@debian.org>,
 Marco Nenciarini <mnencia@debian.org>,
Section: database
Priority: optional
Standards-Version: 4.2.0
Build-Depends:
 ca-certificates,
 debhelper (>= 9),
 dh-autoreconf,
 libevent-dev (>= 1.3b),
 libpam0g-dev | libpam-dev,
 libssl-dev,
 libc-ares-dev (>> 1.12),
 pkg-config,
 python3-docutils,
Homepage: http://pgfoundry.org/projects/pgbouncer/
Vcs-Git: https://salsa.debian.org/postgresql/pgbouncer.git
Vcs-Browser: https://salsa.debian.org/postgresql/pgbouncer
XS-Testsuite: autopkgtest

Package: pgbouncer
Architecture: any
Depends:
 lsb-base (>= 3.1),
 postgresql-common (>= 26),
 ${misc:Depends},
 ${shlibs:Depends},
Suggests: python3, python3-psycopg2
Enhances: postgresql (>= 7.4)
Description: lightweight connection pooler for PostgreSQL
 PgBouncer is a lightweight connection pooler for PostgreSQL providing the
 following features:
 .
  * Several levels of brutality when rotating connections: session pooling,
    transaction pooling, statement pooling.
  * Low memory requirements.
  * It is not tied to one backend server, the destination databases
    can reside on different hosts.
  * Supports online reconfiguration for most of the settings.
  * Supports online restart/upgrade.

#dbg#Package: pgbouncer-dbg
#dbg#Section: debug
#dbg#Architecture: any
#dbg#Depends: pgbouncer (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
#dbg#Description: debug symbols for pgbouncer
#dbg# PgBouncer is a lightweight connection pooler for PostgreSQL providing the
#dbg# following features:
#dbg# .
#dbg#  * Several levels of brutality when rotating connections: session pooling,
#dbg#    transaction pooling, statement pooling.
#dbg#  * Low memory requirements.
#dbg#  * It is not tied to one backend server, the destination databases
#dbg#    can reside on different hosts.
#dbg#  * Supports online reconfiguration for most of the settings.
#dbg#  * Supports online restart/upgrade.
#dbg# .
#dbg# This package contains debug symbols for pgbouncer.

=== debian/rules ===
--- 
+++ 
@@ -20,10 +20,13 @@
 		--with-pam
 
 override_dh_auto_install:
-	dh_auto_install
+	dh_auto_install --destdir=debian/pgbouncer
 	rm -f $(addprefix $(CURDIR)/debian/pgbouncer/usr/share/doc/pgbouncer/,pgbouncer.ini userlist.txt)
 	mkdir -p $(CURDIR)/debian/pgbouncer/etc/pgbouncer
 	touch $(CURDIR)/debian/pgbouncer/etc/pgbouncer/userlist.txt
 
 override_dh_installinit:
 	dh_installinit -R
+
+#dbg#override_dh_strip:
+#dbg#	dh_strip --dbg-package=pgbouncer-dbg

## pgbouncer 1.10.0

=== Makefile ===
--- 
+++ 
@@ -51,7 +51,7 @@
 pgbouncer_EMBED_LIBUSUAL = 1
 
 # docs to install as-is
-dist_doc_DATA = README.rst NEWS.rst etc/pgbouncer.ini etc/userlist.txt
+dist_doc_DATA = README.md NEWS.md etc/pgbouncer.ini etc/userlist.txt
 
 DISTCLEANFILES = config.mak config.status lib/usual/config.h config.log
 
@@ -78,13 +78,13 @@
 		lib/README lib/COPYRIGHT \
 		lib/find_modules.sh )))
 
+pgbouncer_LDFLAGS := $(TLS_LDFLAGS)
+pgbouncer_LDADD := $(CARES_LIBS) $(TLS_LIBS) $(LIBS)
+LIBS :=
+
 #
 # win32
 #
-
-pgbouncer_LDFLAGS := $(TLS_LDFLAGS)
-pgbouncer_LDADD := $(CARES_LIBS) $(TLS_LIBS) $(LIBS)
-LIBS :=
 
 EXTRA_pgbouncer_SOURCES = win32/win32support.c win32/win32support.h
 EXTRA_PROGRAMS = pgbevent
@@ -149,8 +149,8 @@
 	ctags src/*.c include/*.h lib/usual/*.[ch] lib/usual/*/*.[ch]
 
 htmls:
-	for f in *.rst doc/*.rst; do \
-		mkdir -p html && rst2html $$f > html/`basename $$f`.html; \
+	for f in *.md doc/*.md; do \
+		mkdir -p html && $(PANDOC) $$f -o html/`basename $$f`.html; \
 	done
 
 doc/pgbouncer.1 doc/pgbouncer.5:

=== doc/Makefile ===
-include ../config.mak

manpages = pgbouncer.1 pgbouncer.5

dist_man_MANS = $(manpages)

EXTRA_DIST = config.md usage.md Makefile $(manpages) \
	     frag-config-man.md frag-usage-man.md \
	     filter.py

CLEANFILES = pgbouncer_1.md pgbouncer_5.md

# make maintainer-clean removes those
MAINTAINERCLEANFILES = $(manpages)

SUBLOC = doc
abs_top_srcdir ?= $(CURDIR)/..
include $(abs_top_srcdir)/lib/mk/antimake.mk

PYTHON = python

pgbouncer.%: pgbouncer_%.md
	$(PANDOC) -s -t man -o $@ $<

pgbouncer_1.md: filter.py frag-usage-man.md usage.md
	$(PYTHON) $^ >$@

pgbouncer_5.md: filter.py frag-config-man.md config.md
	$(PYTHON) $^ >$@

.INTERMEDIATE: pgbouncer_1.md pgbouncer_5.md

web:
	make -C ../../pgbouncer.github.io

=== debian/changelog ===
pgbouncer (1.10.0-1) unstable; urgency=medium

  * New upstream version.
  * Refresh python3 patch
  * Bump Standards-Version to 4.3.0, no changes needed.
  * Doc switched to markdown. Update Build-Depends accordingly:
    - python3-docutils
    + python
    + pandoc

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 02 Jul 2019 09:51:26 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Marco Nenciarini <mnencia@debian.org>,
 Section: database
 Priority: optional
-Standards-Version: 4.2.0
+Standards-Version: 4.3.0
 Build-Depends:
  ca-certificates,
  debhelper (>= 9),
@@ -16,7 +16,8 @@
  libssl-dev,
  libc-ares-dev (>> 1.12),
  pkg-config,
- python3-docutils,
+ pandoc,
+ python,
 Homepage: http://pgfoundry.org/projects/pgbouncer/
 Vcs-Git: https://salsa.debian.org/postgresql/pgbouncer.git
 Vcs-Browser: https://salsa.debian.org/postgresql/pgbouncer

## pgbouncer 1.12.0

=== Makefile ===
--- 
+++ 
@@ -17,12 +17,18 @@
 	src/pooler.c \
 	src/proto.c \
 	src/sbuf.c \
+	src/scram.c \
 	src/server.c \
 	src/stats.c \
 	src/system.c \
 	src/takeover.c \
 	src/util.c \
 	src/varcache.c \
+	src/common/base64.c \
+	src/common/saslprep.c \
+	src/common/scram-common.c \
+	src/common/unicode_norm.c \
+	src/common/wchar.c \
 	include/admin.h \
 	include/bouncer.h \
 	include/client.h \
@@ -37,14 +43,22 @@
 	include/pooler.h \
 	include/proto.h \
 	include/sbuf.h \
+	include/scram.h \
 	include/server.h \
 	include/stats.h \
 	include/system.h \
 	include/takeover.h \
 	include/util.h \
-	include/varcache.h
+	include/varcache.h \
+	include/common/base64.h \
+	include/common/pg_wchar.h \
+	include/common/postgres_compat.h \
+	include/common/saslprep.h \
+	include/common/scram-common.h \
+	include/common/unicode_norm.h \
+	include/common/unicode_norm_table.h
 
-pgbouncer_CPPFLAGS = -Iinclude $(CARES_CFLAGS) $(TLS_CPPFLAGS)
+pgbouncer_CPPFLAGS = -Iinclude $(CARES_CFLAGS) $(LIBEVENT_CFLAGS) $(TLS_CPPFLAGS)
 
 # include libusual sources directly
 AM_FEATURES = libusual
@@ -66,6 +80,8 @@
 	     win32/Makefile \
 	     $(LIBUSUAL_DIST)
 
+MAINTAINERCLEANFILES = debian/changelog
+
 # libusual files (FIXME: list should be provided by libusual...)
 LIBUSUAL_DIST = $(filter-out %/config.h, $(sort $(wildcard \
 		lib/usual/*.[chg] \
@@ -79,7 +95,7 @@
 		lib/find_modules.sh )))
 
 pgbouncer_LDFLAGS := $(TLS_LDFLAGS)
-pgbouncer_LDADD := $(CARES_LIBS) $(TLS_LIBS) $(LIBS)
+pgbouncer_LDADD := $(CARES_LIBS) $(LIBEVENT_LIBS) $(TLS_LIBS) $(LIBS)
 LIBS :=
 
 #
@@ -118,11 +134,23 @@
 	@echo "Please run ./configure"
 	@exit 1
 
-deb:
+check: all
+	etc/optscan.sh
+	make -C test check
+
+deb: debian/changelog
 	debuild -b -us -uc
 
+debian/changelog: NEWS.md
+	echo '$(PACKAGE_TARNAME) ($(PACKAGE_VERSION)-1) unstable; urgency=low' >$@
+	echo >>$@
+	echo '  * v$(PACKAGE_VERSION)' >>$@
+	echo >>$@
+	printf ' -- PgBouncer developers <noreply@localhost>  ' >>$@
+	date -u -R -d `sed -E -n '/^\*\*/ { s/^.*([0-9]{4}-[0-9]{2}-[0-9]{2}).*/\1/;p;q }' $<` >>$@
+
 w32arch = i686-w64-mingw32
-w32zip = pgbouncer-$(PACKAGE_VERSION)-win32.zip
+w32zip = $(PACKAGE_TARNAME)-$(PACKAGE_VERSION)-win32.zip
 zip: configure clean
 	rm -rf buildexe
 	mkdir buildexe
@@ -130,7 +158,7 @@
 		&& ../configure --host=$(w32arch) --disable-debug \
 			--without-openssl \
 			--without-cares \
-			--with-libevent=/opt/apps/win32 --enable-evdns \
+			--enable-evdns \
 		&& make \
 		&& $(w32arch)-strip pgbouncer.exe pgbevent.dll \
 		&& zip pgbouncer.zip pgbouncer.exe pgbevent.dll doc/*.html
@@ -140,7 +168,7 @@
 zip-up: $(w32zip)
 	rsync $(w32zip) pgf:web/pgbouncer/htdocs/win32/
 
-tgz = pgbouncer-$(PACKAGE_VERSION).tar.gz
+tgz = $(PACKAGE_TARNAME)-$(PACKAGE_VERSION).tar.gz
 tgz-up: $(tgz)
 	rsync $(tgz) pgf:web/pgbouncer/htdocs/testing/

=== doc/Makefile ===
--- 
+++ 
@@ -19,6 +19,8 @@
 
 PYTHON = python
 
+export PACKAGE_VERSION
+
 pgbouncer.%: pgbouncer_%.md
 	$(PANDOC) -s -t man -o $@ $<

=== debian/changelog ===
pgbouncer (1.12.0-3) unstable; urgency=medium

  * Reenable TLS on 32 bit, only the testsuite was broken.
    Thanks to Julien Cristau for debugging this!

 -- Christoph Berg <myon@debian.org>  Tue, 26 Nov 2019 09:18:46 +0100

pgbouncer (1.12.0-2) unstable; urgency=medium

  * Disable TLS on 32 bit where it is broken.

 -- Christoph Berg <myon@debian.org>  Thu, 21 Nov 2019 21:48:35 +0100

pgbouncer (1.12.0-1) unstable; urgency=medium

  * New upstream version.
  * Use python3 only. (Closes: #943156)

 -- Christoph Berg <myon@debian.org>  Thu, 31 Oct 2019 13:05:30 +0100

pgbouncer (1.11.0-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Tue, 27 Aug 2019 15:00:58 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Marco Nenciarini <mnencia@debian.org>,
 Section: database
 Priority: optional
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Build-Depends:
  ca-certificates,
  debhelper (>= 9),
@@ -15,9 +15,11 @@
  libpam0g-dev | libpam-dev,
  libssl-dev,
  libc-ares-dev (>> 1.12),
+ libpq-dev,
  pkg-config,
  pandoc,
- python,
+ postgresql,
+ python3,
 Homepage: http://pgfoundry.org/projects/pgbouncer/
 Vcs-Git: https://salsa.debian.org/postgresql/pgbouncer.git
 Vcs-Browser: https://salsa.debian.org/postgresql/pgbouncer

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 # verbose build output (antimake.mk)
 export V=1
+
+PG_CONFIG=pg_config
+PGBINDIR=$(shell $(PG_CONFIG) --bindir)
 
 %:
 	dh $@ --with autoreconf
@@ -19,6 +22,12 @@
 		--with-cares=yes \
 		--with-pam
 
+# "make check" broken in 1.12: https://github.com/pgbouncer/pgbouncer/issues/431
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	$(MAKE) -C test check PATH=$(PGBINDIR):$(PATH)
+endif
+
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/pgbouncer
 	rm -f $(addprefix $(CURDIR)/debian/pgbouncer/usr/share/doc/pgbouncer/,pgbouncer.ini userlist.txt)

## pgbouncer 1.14.0

=== debian/changelog ===
pgbouncer (1.14.0-1) unstable; urgency=medium

  * New upstream version.
  * DH 13.

 -- Christoph Berg <myon@debian.org>  Thu, 30 Jul 2020 10:42:54 +0200

pgbouncer (1.13.0-1) unstable; urgency=medium

  * New upstream version.
  * Drop debian/patches/no-sudo, sudo test no longer enabled by default.

 -- Christoph Berg <myon@debian.org>  Tue, 28 Apr 2020 09:28:24 +0200

pgbouncer (1.12.0-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Remove unnecessary XS-Testsuite field in debian/control.

  [ Christoph Berg ]
  * test/test.sh: Fix unset $USER, seen in salsa-ci.
  * Update homepage link. Spotted by Diego Arroyo, thanks! (Closes: #958545)

 -- Christoph Berg <myon@debian.org>  Fri, 24 Apr 2020 21:00:46 +0200

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,10 @@
  Marco Nenciarini <mnencia@debian.org>,
 Section: database
 Priority: optional
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Build-Depends:
  ca-certificates,
- debhelper (>= 9),
- dh-autoreconf,
+ debhelper-compat (= 13),
  libevent-dev (>= 1.3b),
  libpam0g-dev | libpam-dev,
  libssl-dev,
@@ -20,10 +19,9 @@
  pandoc,
  postgresql,
  python3,
-Homepage: http://pgfoundry.org/projects/pgbouncer/
+Homepage: https://www.pgbouncer.org/
 Vcs-Git: https://salsa.debian.org/postgresql/pgbouncer.git
 Vcs-Browser: https://salsa.debian.org/postgresql/pgbouncer
-XS-Testsuite: autopkgtest
 
 Package: pgbouncer
 Architecture: any

## pgbouncer 1.15.0

=== Makefile ===
--- 
+++ 
@@ -75,12 +75,9 @@
 # files in tgz
 EXTRA_DIST = AUTHORS COPYRIGHT Makefile config.mak.in config.sub config.guess \
 	     install-sh autogen.sh configure configure.ac \
-	     debian/compat debian/changelog debian/control debian/rules debian/copyright \
-	     etc/mkauth.py etc/example.debian.init.sh \
+	     etc/mkauth.py etc/optscan.sh etc/example.debian.init.sh \
 	     win32/Makefile \
 	     $(LIBUSUAL_DIST)
-
-MAINTAINERCLEANFILES = debian/changelog
 
 # libusual files (FIXME: list should be provided by libusual...)
 LIBUSUAL_DIST = $(filter-out %/config.h, $(sort $(wildcard \
@@ -136,41 +133,19 @@
 
 check: all
 	etc/optscan.sh
-	make -C test check
+	$(MAKE) -C test check
 
-deb: debian/changelog
-	debuild -b -us -uc
+w32zip = $(PACKAGE_TARNAME)-$(PACKAGE_VERSION)-windows-$(host_cpu).zip
+zip: $(w32zip)
 
-debian/changelog: NEWS.md
-	echo '$(PACKAGE_TARNAME) ($(PACKAGE_VERSION)-1) unstable; urgency=low' >$@
-	echo >>$@
-	echo '  * v$(PACKAGE_VERSION)' >>$@
-	echo >>$@
-	printf ' -- PgBouncer developers <noreply@localhost>  ' >>$@
-	date -u -R -d `sed -E -n '/^\*\*/ { s/^.*([0-9]{4}-[0-9]{2}-[0-9]{2}).*/\1/;p;q }' $<` >>$@
-
-w32arch = i686-w64-mingw32
-w32zip = $(PACKAGE_TARNAME)-$(PACKAGE_VERSION)-win32.zip
-zip: configure clean
-	rm -rf buildexe
-	mkdir buildexe
-	cd buildexe \
-		&& ../configure --host=$(w32arch) --disable-debug \
-			--without-openssl \
-			--without-cares \
-			--enable-evdns \
-		&& make \
-		&& $(w32arch)-strip pgbouncer.exe pgbevent.dll \
-		&& zip pgbouncer.zip pgbouncer.exe pgbevent.dll doc/*.html
-	zip -l buildexe/pgbouncer.zip etc/pgbouncer.ini etc/userlist.txt
-	mv buildexe/pgbouncer.zip $(w32zip)
-
-zip-up: $(w32zip)
-	rsync $(w32zip) pgf:web/pgbouncer/htdocs/win32/
-
-tgz = $(PACKAGE_TARNAME)-$(PACKAGE_VERSION).tar.gz
-tgz-up: $(tgz)
-	rsync $(tgz) pgf:web/pgbouncer/htdocs/testing/
+$(w32zip): pgbouncer.exe pgbevent.dll etc/pgbouncer.ini etc/userlist.txt README.md COPYRIGHT
+	rm -rf $(basename $@)
+	mkdir $(basename $@)
+	cp $^ $(basename $@)
+	$(STRIP) $(addprefix $(basename $@)/,$(filter %.exe %.dll,$(^F)))
+	zip -MM $@ $(addprefix $(basename $@)/,$(filter %.exe %.dll,$(^F)))
+# NB: zip -l for text files for end-of-line conversion
+	zip -MM -l $@ $(addprefix $(basename $@)/,$(filter-out %.exe %.dll,$(^F)))
 
 .PHONY: tags
 tags:

=== debian/changelog ===
pgbouncer (1.15.0-1.pgdg16.04+1) xenial-pgdg; urgency=medium

  * Rebuild for xenial-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using old-style -dbg packages in debian/control.
    + Using debhelper 9.
    + Revert switch to c-ares because it is too old on xenial.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 04 Jan 2021 14:59:37 +0100

pgbouncer (1.15.0-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 04 Jan 2021 14:59:37 +0100

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
 Section: database
 Priority: optional
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Build-Depends:
  ca-certificates,
- debhelper-compat (= 13),
+ debhelper (>= 9),
  libevent-dev (>= 1.3b),
  libpam0g-dev | libpam-dev,
  libssl-dev,
- libc-ares-dev (>> 1.12),
  libpq-dev,
  pkg-config,
  pandoc,
@@ -44,20 +44,20 @@
   * Supports online reconfiguration for most of the settings.
   * Supports online restart/upgrade.
 
-#dbg#Package: pgbouncer-dbg
-#dbg#Section: debug
-#dbg#Architecture: any
-#dbg#Depends: pgbouncer (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
-#dbg#Description: debug symbols for pgbouncer
-#dbg# PgBouncer is a lightweight connection pooler for PostgreSQL providing the
-#dbg# following features:
-#dbg# .
-#dbg#  * Several levels of brutality when rotating connections: session pooling,
-#dbg#    transaction pooling, statement pooling.
-#dbg#  * Low memory requirements.
-#dbg#  * It is not tied to one backend server, the destination databases
-#dbg#    can reside on different hosts.
-#dbg#  * Supports online reconfiguration for most of the settings.
-#dbg#  * Supports online restart/upgrade.
-#dbg# .
-#dbg# This package contains debug symbols for pgbouncer.
+Package: pgbouncer-dbg
+Section: debug
+Architecture: any
+Depends: pgbouncer (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Description: debug symbols for pgbouncer
+ PgBouncer is a lightweight connection pooler for PostgreSQL providing the
+ following features:
+ .
+  * Several levels of brutality when rotating connections: session pooling,
+    transaction pooling, statement pooling.
+  * Low memory requirements.
+  * It is not tied to one backend server, the destination databases
+    can reside on different hosts.
+  * Supports online reconfiguration for most of the settings.
+  * Supports online restart/upgrade.
+ .
+ This package contains debug symbols for pgbouncer.

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 PGBINDIR=$(shell $(PG_CONFIG) --bindir)
 
 %:
-	dh $@ --with autoreconf
+	dh $@
 
 override_dh_auto_clean:
 	[ ! -f config.mak ] || $(MAKE) distclean
@@ -19,7 +19,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		--bindir=/usr/sbin \
-		--with-cares=yes \
+		--with-cares=no \
 		--with-pam
 
 # "make check" broken in 1.12: https://github.com/pgbouncer/pgbouncer/issues/431
@@ -37,5 +37,5 @@
 override_dh_installinit:
 	dh_installinit -R
 
-#dbg#override_dh_strip:
-#dbg#	dh_strip --dbg-package=pgbouncer-dbg
+override_dh_strip:
+	dh_strip --dbg-package=pgbouncer-dbg

## pgbouncer 1.16.1

=== test/ssl/Makefile ===
EXTRA_DIST = lib.sh newca.sh newsite.sh test.ini test.sh Makefile

SUBLOC = test/ssl

include ../../config.mak
include ../../lib/mk/antimake.mk

check: all
	./test.sh

=== debian/changelog ===
pgbouncer (1.16.1-1ubuntu1) jammy; urgency=medium

  * d/p/libusual_evp_key_fix.patch: fix the test suite against OpenSSL 3.0
    (LP: #1953487)

 -- Simon Chopin <simon.chopin@canonical.com>  Tue, 07 Dec 2021 12:16:49 +0100

pgbouncer (1.16.1-1) unstable; urgency=medium

  * New upstream version.

    Make PgBouncer acting as a server reject extraneous data after an
    SSL or GSS encryption handshake.

    A man-in-the-middle with the ability to inject data into the TCP
    connection could stuff some cleartext data into the start of a
    supposedly encryption-protected database session.  This could be
    abused to send faked SQL commands to the server, although that would
    only work if PgBouncer did not demand any authentication data.
    (However, a PgBouncer setup relying on SSL certificate
    authentication might well not do so.)

    (Similar to CVE-2021-23214 in the PostgreSQL server.)

 -- Christoph Berg <myon@debian.org>  Fri, 26 Nov 2021 11:19:53 +0100

pgbouncer (1.16.0-1) experimental; urgency=medium

  [ Magnus Hagander ]
  * Reword package description.

  [ Christoph Berg ]
  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Tue, 16 Mar 2021 16:20:43 +0100

=== debian/control ===
Source: pgbouncer
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
 Peter Eisentraut <petere@debian.org>,
 Marco Nenciarini <mnencia@debian.org>,
Section: database
Priority: optional
Standards-Version: 4.5.0
Rules-Requires-Root: no
Build-Depends:
 ca-certificates,
 debhelper-compat (= 13),
 libevent-dev (>= 1.3b),
 libpam0g-dev | libpam-dev,
 libssl-dev,
 libc-ares-dev (>> 1.12),
 libpq-dev,
 pkg-config,
 pandoc,
 postgresql,
 python3,
Homepage: https://www.pgbouncer.org/
Vcs-Git: https://salsa.debian.org/postgresql/pgbouncer.git
Vcs-Browser: https://salsa.debian.org/postgresql/pgbouncer

Package: pgbouncer
Architecture: any
Depends:
 lsb-base (>= 3.1),
 postgresql-common (>= 26),
 ${misc:Depends},
 ${shlibs:Depends},
Suggests: python3, python3-psycopg2
Enhances: postgresql (>= 7.4)
Description: lightweight connection pooler for PostgreSQL
 PgBouncer is a lightweight connection pooler for PostgreSQL providing the
 following features:
 .
  * Several different methods of pooling connections: session pooling,
    transaction pooling, statement pooling.
  * Low memory requirements.
  * It is not tied to one backend server, the destination databases
    can reside on different hosts.
  * Supports online reconfiguration for most of the settings.
  * Supports online restart/upgrade.

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		--bindir=/usr/sbin \
-		--with-cares=no \
+		--with-cares=yes \
 		--with-pam
 
 # "make check" broken in 1.12: https://github.com/pgbouncer/pgbouncer/issues/431
@@ -36,6 +36,3 @@
 
 override_dh_installinit:
 	dh_installinit -R
-
-override_dh_strip:
-	dh_strip --dbg-package=pgbouncer-dbg
